GNU bug report logs - #45518
Ctrl-G Fails to Interrupt Hung Tramp Remote-Compile in Emacs 27.1

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Duncan Greatwood <dgbulk@HIDDEN>; dated Tue, 29 Dec 2020 02:45:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug Marked as fixed in versions 28.1. Request was from Michael Albinus <michael.albinus@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 45518 <at> debbugs.gnu.org:


Received: (at 45518) by debbugs.gnu.org; 31 Dec 2020 08:42:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 31 03:42:25 2020
Received: from localhost ([127.0.0.1]:52685 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kutXM-0007v0-NL
	for submit <at> debbugs.gnu.org; Thu, 31 Dec 2020 03:42:25 -0500
Received: from mout.gmx.net ([212.227.15.18]:50135)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1kutXL-0007un-EI
 for 45518 <at> debbugs.gnu.org; Thu, 31 Dec 2020 03:42:24 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1609404136;
 bh=F2p7rLhgFN+Q/poa5C9yS1+p/XJPfjCCOdGpzrJbvYg=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=h3wO6/nh65JzkqTx+mpEhFmpQa08mk6P1ZUh+L8kUORVAhMsneg2rfXDmFQR0jjM3
 lNo+Y81yjt+ybV7jI20QyVUQmN4PuNgCcZu0qGx8CCWNZbI2Xf3RtgyzapifH49MBo
 YhhH6AV9uM0N0A2daO9XfDDgpeELLGjdl6QMQzrc=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from gandalf.gmx.de ([212.86.52.148]) by mail.gmx.com (mrgmx004
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1M8QS2-1kzJO42s9Q-004QER; Thu, 31
 Dec 2020 09:42:16 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Duncan Greatwood <dgbulk@HIDDEN>
Subject: Re: bug#45518: Ctrl-G Fails to Interrupt Hung Tramp Remote-Compile
 in Emacs 27.1
References: <CAN_Aq+paQzOqPf32ykD7mCO=VVRaviTLQfmKfFC13jmbfUr4Lg@HIDDEN>
Date: Thu, 31 Dec 2020 09:42:15 +0100
In-Reply-To: <CAN_Aq+paQzOqPf32ykD7mCO=VVRaviTLQfmKfFC13jmbfUr4Lg@HIDDEN>
 (Duncan Greatwood's message of "Wed, 30 Dec 2020 13:13:31 -0800")
Message-ID: <87y2he74ew.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:zLpPVd5KIX16SzBwo/PB55J1mLgqnGCjJtdymrc8eQQqLOu2FMF
 hJ5xVsI7vy+g7qh63iXlphwCBmTml8KcsskSw9xCC06pL+s6+S8C2sNX7M98ilu8s3P+eLo
 OzCUG7aGs3PhkIpCiaFWErpcCznqHRm8KSZCvE50xV9zoRhxRzY0/fmiUfjPawauBk/LCvu
 aqbJ0AY2tvNm31x7YK65Q==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:enk20hNY7+Q=:UtyzM8f0c2OtGwUSu7BEaQ
 +FljE4wkCFYXQbxjVys32KscmC2WVP2OP6QkEnmlqey7HpYVcQjZgNwmr3YIyypY5er1CcBxC
 naaBAqIICaDBYvZQX/czNbO8Od6ic9PtxU3JEASZvKDjHqdycORxGu2XxBYUWXrqQSGUAWitA
 tjX5UQQE0tpnn6oHW9VC2PhMSK4AAJj47u/tqE9WUX2RJhhbn5biI9AIIvb4AwICl3ryK/wdM
 YP93kuN9HmSpVazCDY2mEcpn+5+Eyg8KWPLwXh5HWUz8NfYZyQohotHwb5xIwShH4wtSiAT7s
 2DJcvaX7afYWj2tRSGeln1mbXTauSeN+VHKJSr4kJZ5dWg/BQh3gaN2EHHo1Sy+fSD9/QlXWB
 M8ZZo0IWeUZbGnvvs1pQvHtEcR5vaxRHOIJtZTqY0zYnpHBn7AXoCmlj1wFPIe75Q2x3173Yy
 Othu7fWUWQhZbPlgM18oTsFP2qR/Z6aEPfaYUJ/KfZZ4cLVorHsABaJQX07cCUFmXu15arTIw
 Ad0yfW0RHzP+x8I3lDQ3j5JjXPyRA0wYIPZl1WDG+k8OxEYSvIydWlZkkEK4oXP2W1XJllBvZ
 mg6PLUML8HrWHzWdWStFC/VcuX3saQbTeOMM4GVSJPq9S2b1KnOtFoeM/K1mN6hprbG6bx3fl
 D/CVf8SHNau55RLr2QmWDEPkUFJAeWOcc+rdgteX0RsJIgvfTr1hQ6qUx+qkMLttW8UwnNGA1
 dKDpVSgletPGTTAmfvu42wjVCgf3a7imrVBrXYaaiZXS14fHm1L76M19+ZGHwRVXdK+0ZOxy5
 5VR4ibpNpdWbD8AOg9XkzRxa/zIvgWDh4QTIh7mE3NEaRFwMASmM2d/MOYtkZx+nCeua+Qr+Y
 0xn+PqnKaIbzuHUbReEQ==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 45518
Cc: 45518 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Duncan Greatwood <dgbulk@HIDDEN> writes:

> Hi Michael,

Hi Duncan,

> [DG] I note in passing that in my emacs 27.1 build, I already have
> Tramp 2.5.0 installed as per:
>     M-x list-packages
>     ...
>       tramp              2.5.0         available

Well, this doe NOT mean it is installed already. It is available in the
package archive.

> Nonetheless, I downloaded from this page:
> https://elpa.gnu.org/packages/tramp.html
>     tramp-2.5.0.tar, 2020-Dec-29, 1.61 MiB
> I expanded the tar to a local directory, call it ~/.../tramp-2.5.0
>
> I then added the following to my .emacs file:
>     (add-to-list 'load-path (expand-file-name "~/.../tramp-2.5.0"))
>     (require 'tramp)

That's one way to do it. The more natural way is "M-x package-install
RET tramp". Or, in the *Packages* buffer, mark the package with "i", and
install it via "x".

> Happy news - with this addition to .emacs, pressing ctrl-g three times
> once again interrupts the hung Tramp window, and .emacs as a whole
> does not crash.
>
> I tried adding and removing the .emacs lines several times, and the
> matter produces perfectly: ctrl-gx3 always works when the .emacs lines
> are present, and never works when they are not in emacs 27.1.

Great!

> The only slight wrinkle I noticed with this newest version of tramp
> (vs. emacs 26.2 tramp) is that, after pressing ctrl-gx3, it feels I
> have to click around to another window and back in order to see the
> error output from the compile appear in the tramp compile window,
> wheres in emacs 26.2 the error output would start appearing in the
> tramp compile window as soon as ctrl-gx3 was pressed. No terrible
> hardship but JFYI.
>
> Is there anything I can do that would help diagnose / pinpoint or
> whatever? Either with the ctrl-gx3 matter, or indeed with the
> underlying hang in the tramp compile window which requires the use of
> ctrl-gx3.

I will try to reproduce it locally. Since I don't know where to start
with debugging, I cant give you instructions for this yet.

> Best regards,
> Duncan

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45518; Package emacs. Full text available.

Message received at 45518 <at> debbugs.gnu.org:


Received: (at 45518) by debbugs.gnu.org; 30 Dec 2020 22:27:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 30 17:27:40 2020
Received: from localhost ([127.0.0.1]:51364 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kujwR-0000jq-HL
	for submit <at> debbugs.gnu.org; Wed, 30 Dec 2020 17:27:40 -0500
Received: from mail-io1-f41.google.com ([209.85.166.41]:44007)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dgbulk@HIDDEN>) id 1kuimy-0007LN-FB
 for 45518 <at> debbugs.gnu.org; Wed, 30 Dec 2020 16:13:49 -0500
Received: by mail-io1-f41.google.com with SMTP id o6so15687522iob.10
 for <45518 <at> debbugs.gnu.org>; Wed, 30 Dec 2020 13:13:48 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to:cc;
 bh=tUS4MZByuhWsKC3DbYPVoO32pwFfGaAnRzrQNU+HYTk=;
 b=YQrY2FDJli4cYbQugqWUuLubbT4JB/EbYRV2EH4HABLqB+sGM2AS0NPRBmE7cEPZpQ
 A+3fHB9yI11tSN1r4iZImmi603dLH33U5+hjnAA7y81ETShVHCfJ6sPfrfhGZwTnU9Kc
 iNN9Scn1ZBQvW7vPa9nYX7181Wskuy74stkQXgPwlhLF9CtPGA9GgWzMXOfsh2iabIo+
 1GUUMGnuumv/4aisy8Pe89+L20/gnKBHjcgPlVrIbgO6djZk9U5MWzyI1+F+VUScMTq+
 Hz9gnHDlD014h480YczsTfzpZbRJaeuqwO2VgzCKVEv+nLq4Utib3iACisGCx6KWvPk3
 j53A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to:cc;
 bh=tUS4MZByuhWsKC3DbYPVoO32pwFfGaAnRzrQNU+HYTk=;
 b=Fg20sTrsUdHst9Ja5blC+PaR8CustxdMsrqn86jkiCplfAIM85upoItitnHMokxnXg
 rPqb4vci2Tx/JooOUNgLe+in8yyNIaqHgZoeQlTNW7U9549OT//q1vu8jTfpLYeSIuAh
 eq4FYbn6t/okORJoFw6UgybPew0iIGTe1Fyf+ibAGK9Nt9hZO373ixvWI5FSIZvsf4G2
 T+U7FRzLH779kjuWIPssVrlvQZ//DfV55y7oWQirZ8eJ8qI1RFRGC1R4Gh3dxYofpSj6
 Wy0VvspfrMIIc4nhaszNONwUgQJM5ImPN8Q134wnElzKslATZ7w2KixAp3WGgfJiFf/K
 T86w==
X-Gm-Message-State: AOAM5304Y0sfPkq1SAC+bwwt+di5yw4BZuplBRTtqJTmdN/Nc43FyBmm
 wJseHq6OaQEWkXIjqK4u//R6iR5i9vZgaE//gCU=
X-Google-Smtp-Source: ABdhPJzX3ZXYQAdAJ03+VFm+eMulc+JSmhqA64Z15FszxpEGJg8UbEm9J8kEeoD3ZlphlzU77UO73NSLPErZ3+KEhrw=
X-Received: by 2002:a5d:9a8e:: with SMTP id c14mr45298669iom.178.1609362822826; 
 Wed, 30 Dec 2020 13:13:42 -0800 (PST)
MIME-Version: 1.0
From: Duncan Greatwood <dgbulk@HIDDEN>
Date: Wed, 30 Dec 2020 13:13:31 -0800
Message-ID: <CAN_Aq+paQzOqPf32ykD7mCO=VVRaviTLQfmKfFC13jmbfUr4Lg@HIDDEN>
Subject: Re: bug#45518: Ctrl-G Fails to Interrupt Hung Tramp Remote-Compile in
 Emacs 27.1
To: Michael Albinus <michael.albinus@HIDDEN>
Content-Type: multipart/alternative; boundary="0000000000005e8d9005b7b4fb72"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 45518
X-Mailman-Approved-At: Wed, 30 Dec 2020 17:27:38 -0500
Cc: 45518 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--0000000000005e8d9005b7b4fb72
Content-Type: text/plain; charset="UTF-8"

Hi Michael,

On Wed, Dec 30, 2020 at 2:36 AM Michael Albinus <michael.albinus@HIDDEN>
> wrote:
> Duncan Greatwood <dgbulk@HIDDEN> writes:
> Hi Duncan,
> > In emacs 26.2, Ctrl-G (usually ctrl-g three times) would interrupt the
> > hung Tramp window, and indeed cause the errors to be displayed in the
> > window as best as Tramp is able.
> >
> > In emacs 27.1, Ctrl-G does nothing in this
> > "tramp-hung-while-compiling" situation. I also tried ctrl-c ctrl-c,
> > but that also does nothing. It appears that the only way to kill the
> > hung Tramp compile is to force-quit emacs as a whole at the OS level.
> Well, in this area several changes have been applied since Emacs 27.1
> has been released. Could you, pls, try the Tramp ELPA version (2.5.0)?
>
[DG] I note in passing that in my emacs 27.1 build, I already have Tramp
2.5.0 installed as per:
    M-x list-packages
    ...
      tramp              2.5.0         available

Nonetheless, I downloaded from this page:
https://elpa.gnu.org/packages/tramp.html
    tramp-2.5.0.tar, 2020-Dec-29, 1.61 MiB
I expanded the tar to a local directory, call it ~/.../tramp-2.5.0

I then added the following to my .emacs file:
    (add-to-list 'load-path (expand-file-name "~/.../tramp-2.5.0"))
    (require 'tramp)

Happy news - with this addition to .emacs, pressing ctrl-g three times once
again interrupts the hung Tramp window, and .emacs as a whole does not
crash.

I tried adding and removing the .emacs lines several times, and the matter
produces perfectly: ctrl-gx3 always works when the .emacs lines are
present, and never works when they are not in emacs 27.1.

The only slight wrinkle I noticed with this newest version of tramp (vs.
emacs 26.2 tramp) is that, after pressing ctrl-gx3, it feels I have to
click around to another window and back in order to see the error output
from the compile appear in the tramp compile window, wheres in emacs 26.2
the error output would start appearing in the tramp compile window as soon
as ctrl-gx3 was pressed. No terrible hardship but JFYI.

Is there anything I can do that would help diagnose / pinpoint or whatever?
Either with the ctrl-gx3 matter, or indeed with the underlying hang in the
tramp compile window which requires the use of ctrl-gx3.

Best regards,
Duncan


> Even if it still blocks Emacs, there is a new option to write Tramp
> traces to file. This would help us to find the culprit, if still
> evident.
> > Thanks as always.
> > D.
> Best regards, Michael.

--0000000000005e8d9005b7b4fb72
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Hi Michael,<br><br><blockquote class=3D"gmail_quote" style=
=3D"margin:0px 0px 0px 0.8ex;border-left:1px solid rgb(204,204,204);padding=
-left:1ex">On Wed, Dec 30, 2020 at 2:36 AM Michael Albinus &lt;<a href=3D"m=
ailto:michael.albinus@HIDDEN">michael.albinus@HIDDEN</a>&gt; wrote:<br>Dunc=
an Greatwood &lt;<a href=3D"mailto:dgbulk@HIDDEN">dgbulk@HIDDEN</a>&g=
t; writes:<br>Hi Duncan,<br>&gt; In emacs 26.2, Ctrl-G (usually ctrl-g thre=
e times) would interrupt the<br>&gt; hung Tramp window, and indeed cause th=
e errors to be displayed in the<br>&gt; window as best as Tramp is able.<br=
>&gt;<br>&gt; In emacs 27.1, Ctrl-G does nothing in this<br>&gt; &quot;tram=
p-hung-while-compiling&quot; situation. I also tried ctrl-c ctrl-c,<br>&gt;=
 but that also does nothing. It appears that the only way to kill the<br>&g=
t; hung Tramp compile is to force-quit emacs as a whole at the OS level.<br=
>Well, in this area several changes have been applied since Emacs 27.1<br>h=
as been released. Could you, pls, try the Tramp ELPA version (2.5.0)?<br></=
blockquote><div>[DG] I note in passing that in my emacs 27.1 build, I alrea=
dy have Tramp 2.5.0 installed as per:</div><div>=C2=A0 =C2=A0 M-x list-pack=
ages</div><div>=C2=A0 =C2=A0 ...</div><div>=C2=A0 =C2=A0=C2=A0=C2=A0 tramp =
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A02.5.0 =C2=A0 =C2=A0 =C2=A0 =
=C2=A0 available</div><div><br></div><div>Nonetheless, I downloaded from th=
is page:=C2=A0<a href=3D"https://elpa.gnu.org/packages/tramp.html">https://=
elpa.gnu.org/packages/tramp.html</a></div><div>=C2=A0 =C2=A0=C2=A0tramp-2.5=
.0.tar, 2020-Dec-29, 1.61 MiB</div><div>I expanded the tar to a local direc=
tory, call it ~/.../tramp-2.5.0</div><div><br></div><div>I then added the f=
ollowing to my .emacs file:</div><div>=C2=A0 =C2=A0 (add-to-list &#39;load-=
path (expand-file-name &quot;~/.../tramp-2.5.0&quot;))</div>=C2=A0 =C2=A0 (=
require &#39;tramp)<div><br></div><div>Happy news - with this addition to .=
emacs, pressing ctrl-g three times once again interrupts the hung Tramp win=
dow, and .emacs as a whole does not crash.</div><div><br></div><div>I tried=
 adding and removing the .emacs lines several times, and the matter produce=
s=C2=A0perfectly: ctrl-gx3 always works when the .emacs lines are present, =
and never works=C2=A0when they are not in emacs 27.1.</div><div><br></div><=
div>The only slight wrinkle I noticed with this newest version of tramp (vs=
. emacs 26.2 tramp) is that, after pressing ctrl-gx3, it feels I have to cl=
ick around to another window and back in order to see the error output from=
 the compile appear in the tramp compile window, wheres in emacs 26.2 the e=
rror output would start appearing in the tramp compile window as soon as ct=
rl-gx3 was pressed. No terrible hardship but JFYI.</div><div><br></div><div=
>Is there anything I can do that would help diagnose / pinpoint or whatever=
? Either with the ctrl-gx3 matter, or indeed with the underlying hang in th=
e tramp compile window which requires the use of=C2=A0ctrl-gx3.</div><div><=
br></div><div>Best regards,</div><div>Duncan</div><div>=C2=A0<br></div><div=
><blockquote class=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;border=
-left:1px solid rgb(204,204,204);padding-left:1ex">Even if it still blocks =
Emacs, there is a new option to write Tramp<br>traces to file. This would h=
elp us to find the culprit, if still<br>evident.<br>&gt; Thanks as always.<=
br>&gt; D.<br>Best regards, Michael.</blockquote></div></div>

--0000000000005e8d9005b7b4fb72--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45518; Package emacs. Full text available.

Message received at 45518 <at> debbugs.gnu.org:


Received: (at 45518) by debbugs.gnu.org; 30 Dec 2020 10:36:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 30 05:36:40 2020
Received: from localhost ([127.0.0.1]:41833 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kuYqO-0004R6-8J
	for submit <at> debbugs.gnu.org; Wed, 30 Dec 2020 05:36:40 -0500
Received: from mout.gmx.net ([212.227.15.19]:45009)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1kuYqM-0004Qt-2E
 for 45518 <at> debbugs.gnu.org; Wed, 30 Dec 2020 05:36:38 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1609324591;
 bh=dhBp0o9m+tLWnYlJyARL0ManW542Mbs3orLondXPIA0=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=H/6tInYG6qQbAhVAzjpKTNzHeFDDZA9Ga7LNSMdyI4hIGY0VquV0PBGvBeEMW1tbV
 JP5FLvy5jbGqjEyOLtWWWXcO1kAk9+jORyBXcC8z4Q6YQ7R1b/KdodOyFWoQgb/dKU
 2lhEwhQGk8iL+OdfluWgEoNtcDIdpg/WHnl+kQXs=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from gandalf.gmx.de ([212.86.46.32]) by mail.gmx.com (mrgmx004
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1MEm6L-1konXY1eJ9-00GI64; Wed, 30
 Dec 2020 11:36:31 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Duncan Greatwood <dgbulk@HIDDEN>
Subject: Re: bug#45518: Ctrl-G Fails to Interrupt Hung Tramp Remote-Compile
 in Emacs 27.1
References: <CAN_Aq+py7nv+O+y-hRgcbbuzHohdYuB3pxEU=SWeSyw=PFjvyg@HIDDEN>
Date: Wed, 30 Dec 2020 11:36:30 +0100
In-Reply-To: <CAN_Aq+py7nv+O+y-hRgcbbuzHohdYuB3pxEU=SWeSyw=PFjvyg@HIDDEN>
 (Duncan Greatwood's message of "Mon, 28 Dec 2020 17:10:58 -0800")
Message-ID: <87eej78tsh.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:ehOGfu9qbzZqhvvAjJlZQ+f4CBPplUGJsyw4u53NdZkXZwj0nM+
 E+y/HL+aXCXXGfHf8eRdwfx9GL6Apw1b6cZ1ncGYD3t8mHkyJq9uj01eLbJdmEZz6XdHF02
 acaWJC1f77Y+2sIN+eQsmw0iLTnKzmaIYCuBkRySnA34VoxK+QN3+GJ/Yg6o7z03e2b8o4v
 lZ8ZFtyraZDOX222hz56A==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:RlxS/qKSV1Y=:xBbQs3bS8JLiDvDW7TgFeP
 VeSlLkp/ZU6/FGOuNnkxJVr0Ek9adVE8gJv13p0vnBWgMLYnjyV0gS3+zDWhVx97mTg31jpWo
 QthV1w/WAjIAp+VMPa6maIlMUrzCuCx7g423RFyhimtHpZ4XmoSBaaEJPM2ZBb5+p7uqYkDRw
 JxXILDgUjIu7KWzZ1eyh4P+hQ2qGDn1HiJfymYM8Tn0oFsz7l51CHRbYY91yU1RKIz4C/IKJG
 siEy9kBP/Vlsen/UFMoW0feF4Yo69SsRxi1PB4stKUA7YbNe4o3WfOyYekGr9X/py6bmssBOw
 DskB+unmNEKbPwHizsIKb2i4pXeP7z0u2LTuc2/dKntIAoIVdFEOKx7Dv/hyb5PraZrUmA4Hs
 F1QKrEXdBbyz7LoZ6DK2TPfZKpPdpn0CR59W9AnQofsfIeEStAfN7YsHEbhWOaXXCpLbxwB0m
 7YmN9YPhsMUoIWQmcVBMmNrSVEq4MKZUmjO/JhjKKpIVB3euDTlJJPyMePGQ4b7K25EXWITUY
 OrNG3XwN0n+l9dA6zrymdzUTyr1cPtgPDeraQzYgjx6BouVi5lUvQheYKqFMZU+Yeisd7bret
 d2LWzmHEY+zDhMkeFrBfJaYGeFdn56z/GnWYWTT2XJ3Z0BySM3B+kLNhuoMCGnySrAaNSOLIn
 Evharm3ooQ/bYNlTP9IHJP9B4h7MKJTiATqM+AbHKaur14oXNuLSmD+6s8dbw3RIYb3M+/RvU
 HMVYK/ZCJ6HrBEWIbGVyx1Q74fNKcqndwmEsT/pVwLE5hsKe5uh3wilQvr+Yc7s3cBAX3mktR
 jo+uaT32J0PjSm+5Zb1W8pxIefYw8QLzxR37udx+spJf55tj5tflkEAFBvDb+bbCOBVjTLJ7V
 g1AJk9xjwIDe+GqN4y/w==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 45518
Cc: 45518 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Duncan Greatwood <dgbulk@HIDDEN> writes:

Hi Duncan,

> In emacs 26.2, Ctrl-G (usually ctrl-g three times) would interrupt the
> hung Tramp window, and indeed cause the errors to be displayed in the
> window as best as Tramp is able.
>
> In emacs 27.1, Ctrl-G does nothing in this
> "tramp-hung-while-compiling" situation. I also tried ctrl-c ctrl-c,
> but that also does nothing. It appears that the only way to kill the
> hung Tramp compile is to force-quit emacs as a whole at the OS level.

Well, in this area several changes have been applied since Emacs 27.1
has been released. Could you, pls, try the Tramp ELPA version (2.5.0)?
Even if it still blocks Emacs, there is a new option to write Tramp
traces to file. This would help us to find the culprit, if still
evident.

> Thanks as always.
> D.

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45518; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 29 Dec 2020 02:44:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 28 21:44:26 2020
Received: from localhost ([127.0.0.1]:37295 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ku4zp-00049k-Pt
	for submit <at> debbugs.gnu.org; Mon, 28 Dec 2020 21:44:26 -0500
Received: from lists.gnu.org ([209.51.188.17]:47496)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dgbulk@HIDDEN>) id 1ku3Xe-00042q-Nd
 for submit <at> debbugs.gnu.org; Mon, 28 Dec 2020 20:11:15 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:40362)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <dgbulk@HIDDEN>) id 1ku3Xe-0007Na-HG
 for bug-gnu-emacs@HIDDEN; Mon, 28 Dec 2020 20:11:14 -0500
Received: from mail-io1-xd35.google.com ([2607:f8b0:4864:20::d35]:38394)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <dgbulk@HIDDEN>) id 1ku3Xb-00037V-VS
 for bug-gnu-emacs@HIDDEN; Mon, 28 Dec 2020 20:11:14 -0500
Received: by mail-io1-xd35.google.com with SMTP id y5so10897959iow.5
 for <bug-gnu-emacs@HIDDEN>; Mon, 28 Dec 2020 17:11:10 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=MMr5AbcMJvZxz6fAPvEUBzxktEpFlmYiwE1ASk7cTqI=;
 b=teSwZlU00lGBD8A7zX97JP5Ht0iBAYszzsC2VSlME8R/XjEiBM5hjcDr8eqXsAc024
 1XllR7BrTsZvc/mbhE3MJzU2NzWIM4YBTr+/sMetqe+NaaZORcQdLpF2GChSfDhdjk4M
 nU8lkwxiEpgy7rKmguVHp+QmQ9xp/t5TlJ5j2I6zqGnC+VhQU5mreCx+vqqtz3WUUSEx
 vaGBPR3cwcjDHfV5DJzbUcglaM1X/o9L5rJaZU3JPkohPBjRMIlQr6MlJnUscDwEjloK
 Ah1+d61bsjtcV1Tlp2IlHZsC1pcpALsnxreO2Zi63tzu9jZROlYOwUutWaPS8cVlBVG2
 ZPPw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=MMr5AbcMJvZxz6fAPvEUBzxktEpFlmYiwE1ASk7cTqI=;
 b=G3NulUNcHnfY08T3AQW1b5HPL1VsG0+7KNoEqcMZ4YXpkd/l1iyq0eLAzyABN4xM5j
 dNF/tX8MHkmDC44Rki7s/c8nhHtqLfzqF/t5pSIyds4AocgTpc48LkRXrvwz4tt/zxAS
 jcq12DgXBlU50KOflPUlC/SwKuW5aQRjx3oGAxQU4JxycQc5SGVMtRmvDr2anm48cQkX
 ztSQAPcp12gGDht4Jkr8sjWviiGbtHvKXsQid6CGv2St16pMb/F9Wpzgz3XeJqvk4yOT
 o5guDuFtzZ48It3zl7LaYppxITNLdsQz8dpzSR+ldBjAGRfXtHmTSy9zIucgAeGC375V
 4zfg==
X-Gm-Message-State: AOAM532Eh3n0SI62joV73F4VYhiSYstMnGneoxMKJIBNiTexsHzoJ9+Y
 KDKgcjrNWyN5/R+GmYmIDcdzlIa32Fp0C4qAYY/DJlT601U=
X-Google-Smtp-Source: ABdhPJw3eL2pYdXlEmYq9uPU0AznJkpBIhF459hXD8gl7cGgR4iF4DPT59h72DhmD8uf3xjEnr7EbSawmYoic21OLFQ=
X-Received: by 2002:a02:caac:: with SMTP id e12mr40317195jap.45.1609204269800; 
 Mon, 28 Dec 2020 17:11:09 -0800 (PST)
MIME-Version: 1.0
From: Duncan Greatwood <dgbulk@HIDDEN>
Date: Mon, 28 Dec 2020 17:10:58 -0800
Message-ID: <CAN_Aq+py7nv+O+y-hRgcbbuzHohdYuB3pxEU=SWeSyw=PFjvyg@HIDDEN>
Subject: Ctrl-G Fails to Interrupt Hung Tramp Remote-Compile in Emacs 27.1
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary="000000000000df629005b7901058"
Received-SPF: pass client-ip=2607:f8b0:4864:20::d35;
 envelope-from=dgbulk@HIDDEN; helo=mail-io1-xd35.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 HTML_MESSAGE=0.001, RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 28 Dec 2020 21:44:24 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--000000000000df629005b7901058
Content-Type: text/plain; charset="UTF-8"

Using tramp, I had a remote cpp file open in a window.

I pressed "C-c c", which invokes a function in my .emacs called
compile-hereish, which (in this case) invokes the compile command with
the remote directory containing the remote cpp.

Compilation begins as expected.

The cpp file contains a number of syntax errors. There is what I understand
to be a longstanding Tramp bug such that, if a lot of outputs (syntax
errors) are sent at high speed to the compile window, Tramp hangs.

In emacs 26.2, Ctrl-G (usually ctrl-g three times) would interrupt the hung
Tramp window, and indeed cause the errors to be displayed in the window as
best as Tramp is able.

In emacs 27.1, Ctrl-G does nothing in this "tramp-hung-while-compiling"
situation. I also tried ctrl-c ctrl-c, but that also does nothing. It
appears that the only way to kill the hung Tramp compile is to force-quit
emacs as a whole at the OS level.

Machine running emacs: MacBook Pro (2015), macos Big Sur v11.1. I am using
emacs 27.1 installed via brew-cask on macos.
On the Macbook: ssh -V
    OpenSSH_8.1p1, LibreSSL 2.7.3

Remote host for compile: Ubuntu Linux 20.04.1 LTS (GNU/Linux
5.4.0-54-generic x86_64)
On remote host: ssh -V
  OpenSSH_8.2p1 Ubuntu-4ubuntu0.1, OpenSSL 1.1.1f  31 Mar 2020
Also on remote host: gcc --version
gcc (Ubuntu 9.3.0-17ubuntu1~20.04) 9.3.0
Copyright (C) 2019 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

If I revert back to emacs 26.2 on the Macbook, ctrl-G once again works as
expected in the event of a Tramp hang.

I am attaching to the remote host using Tramp-ssh mode, but I also tried
Tramp-scp and saw the same behaviour. My .emacs includes:
(setq tramp-default-method "ssh")
(setq tramp-chunksize 500)

The following cpp file (on Ubuntu machine) is sufficient to generate a
large number of syntax errors and hang Tramp, blocking ctrl-G (crashing
emacs) in emacs 27.1 for me.
// test.cpp
  DummyClass(
  DummyClass(
  DummyClass(
  DummyClass(
  DummyClass(
  DummyClass(
  DummyClass(
  DummyClass(
  DummyClass(
  DummyClass(
int validstuff();
int validstuff()
{
    return(0);
}
// end test.cpp

Thanks as always.
D.

Following was generated via: M-x report-emacs-bug

In GNU Emacs 27.1 (build 1, x86_64-apple-darwin18.7.0, NS appkit-1671.60
Version 10.14.6 (Build 18G95))
 of 2020-08-11 built on builder10-14.porkrind.org
Windowing system distributor 'Apple', version 10.3.2022
System Description:  macOS 11.1

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
Package cl is deprecated
Mark set

Configured using:
 'configure --with-ns '--enable-locallisppath=/Library/Application
 Support/Emacs/${version}/site-lisp:/Library/Application
 Support/Emacs/site-lisp' --with-modules'

Configured features:
NOTIFY KQUEUE ACL GNUTLS LIBXML2 ZLIB TOOLKIT_SCROLL_BARS NS MODULES
THREADS JSON PDUMPER

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Fundamental

Minor modes in effect:
  global-undo-tree-mode: t
  undo-tree-mode: t
  global-auto-complete-mode: t
  show-paren-mode: t
  delete-selection-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
/Users/dgreatwood/.emacs.d/lisp/linum hides
/Applications/Emacs.app/Contents/Resources/lisp/linum

Features:
(shadow sort mail-extr emacsbug message rmc puny dired dired-loaddefs
format-spec rfc822 mml easymenu mml-sec password-cache epa derived epg
epg-config gnus-util rmail rmail-loaddefs text-property-search seq
byte-opt bytecomp byte-compile cconv mm-decode mm-bodies mm-encode
mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047
rfc2045 ietf-drums mm-util mail-prsvr mail-utils linum easy-mmode
time-date subr-x server persistent-todo special-scratch tango-theme
advice undo-tree diff auto-complete-config auto-complete popup
string-inflection paren desktop frameset unbound cl-macs cl gv delsel
edmacro kmacro cl-loaddefs cl-lib tooltip eldoc electric uniquify
ediff-hook vc-hooks lisp-float-type mwheel term/ns-win ns-win
ucs-normalize mule-util term/common-win tool-bar dnd fontset image
regexp-opt fringe tabulated-list replace newcomment text-mode elisp-mode
lisp-mode prog-mode register page tab-bar menu-bar rfn-eshadow isearch
timer select scroll-bar mouse jit-lock font-lock syntax facemenu
font-core term/tty-colors frame minibuffer cl-generic cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote threads kqueue cocoa ns
multi-tty make-network-process emacs)

Memory information:
((conses 16 70462 8546)
 (symbols 48 8556 1)
 (strings 32 22334 1877)
 (string-bytes 1 713421)
 (vectors 16 12259)
 (vector-slots 8 156248 17226)
 (floats 8 39 36)
 (intervals 56 248 0)
 (buffers 1000 14))

--000000000000df629005b7901058
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Using tramp, I had a remote cpp file open in a window.<br>=
<br>I pressed &quot;C-c c&quot;, which invokes a function in my .emacs call=
ed<br>compile-hereish, which (in this case) invokes the compile command wit=
h<br>the remote directory containing the remote cpp.<br><br>Compilation beg=
ins as expected.=C2=A0<div><br></div><div>The cpp file contains a number of=
 syntax errors. There is what I understand to be a longstanding Tramp bug s=
uch that, if a lot of outputs (syntax errors) are sent at high speed to the=
 compile window, Tramp=C2=A0hangs.<br></div><div><br></div><div>In emacs 26=
.2, Ctrl-G (usually ctrl-g three times) would interrupt the hung Tramp wind=
ow, and indeed cause the errors to be displayed in the window as best as Tr=
amp is able.</div><div><br></div><div>In emacs 27.1, Ctrl-G does nothing in=
 this &quot;tramp-hung-while-compiling&quot; situation. I also tried ctrl-c=
 ctrl-c, but that also does nothing. It appears that the only way to kill t=
he hung Tramp compile is to force-quit emacs as a whole at the OS level.</d=
iv><div><br></div><div>Machine running emacs: MacBook Pro (2015), macos Big=
 Sur v11.1. I am using emacs 27.1 installed via brew-cask on macos.</div><d=
iv>On the Macbook: ssh -V</div>=C2=A0 =C2=A0 OpenSSH_8.1p1, LibreSSL 2.7.3<=
div><br></div><div>Remote host for compile: Ubuntu Linux=C2=A020.04.1 LTS (=
GNU/Linux 5.4.0-54-generic x86_64)</div><div><div>On remote host: ssh -V</d=
iv>=C2=A0 OpenSSH_8.2p1 Ubuntu-4ubuntu0.1, OpenSSL 1.1.1f =C2=A031 Mar 2020=
<br></div><div>Also on remote=C2=A0host: gcc --version</div>gcc (Ubuntu 9.3=
.0-17ubuntu1~20.04) 9.3.0<br>Copyright (C) 2019 Free Software Foundation, I=
nc.<br>This is free software; see the source for copying conditions.=C2=A0 =
There is NO<br>warranty; not even for MERCHANTABILITY or FITNESS FOR A PART=
ICULAR PURPOSE.<div><br></div><div>If I revert back to emacs 26.2 on the Ma=
cbook, ctrl-G once again works as expected in the event of a Tramp hang.</d=
iv><div><br></div><div>I am attaching to the remote host using Tramp-ssh mo=
de, but I also tried Tramp-scp and saw the same behaviour. My .emacs includ=
es:</div><div>(setq tramp-default-method &quot;ssh&quot;)=C2=A0 =C2=A0<br>(=
setq tramp-chunksize 500)<br></div><div><br></div><div>The following cpp fi=
le (on Ubuntu machine) is sufficient to generate a large number of syntax e=
rrors and hang Tramp, blocking ctrl-G (crashing emacs) in emacs 27.1 for me=
.</div><div>// test.cpp</div><div>=C2=A0 DummyClass(</div><div><div>=C2=A0 =
DummyClass(</div><div></div></div><div></div><div><div>=C2=A0 DummyClass(</=
div><div></div></div><div>=C2=A0 DummyClass(</div><div></div><div>=C2=A0 Du=
mmyClass(</div><div></div><div>=C2=A0 DummyClass(</div><div></div><div>=C2=
=A0 DummyClass(</div><div></div><div>=C2=A0 DummyClass(</div><div></div><di=
v>=C2=A0 DummyClass(</div><div></div><div>=C2=A0 DummyClass(</div><div>int =
validstuff();</div><div>int=C2=A0validstuff()<br></div><div>{</div><div>=C2=
=A0 =C2=A0 return(0);</div><div>}</div><div>// end test.cpp</div><div><br><=
/div><div>Thanks as always.</div><div>D.</div><div><br></div><div></div><di=
v>Following was generated via: M-x report-emacs-bug</div><div><br></div><di=
v>In GNU Emacs 27.1 (build 1, x86_64-apple-darwin18.7.0, NS appkit-1671.60 =
Version 10.14.6 (Build 18G95))<br>=C2=A0of 2020-08-11 built on <a href=3D"h=
ttp://builder10-14.porkrind.org">builder10-14.porkrind.org</a><br>Windowing=
 system distributor &#39;Apple&#39;, version 10.3.2022<br>System Descriptio=
n: =C2=A0macOS 11.1<br><br>Recent messages:<br>For information about GNU Em=
acs and the GNU system, type C-h C-a.<br>Package cl is deprecated<br>Mark s=
et<br><br>Configured using:<br>=C2=A0&#39;configure --with-ns &#39;--enable=
-locallisppath=3D/Library/Application<br>=C2=A0Support/Emacs/${version}/sit=
e-lisp:/Library/Application<br>=C2=A0Support/Emacs/site-lisp&#39; --with-mo=
dules&#39;<br><br>Configured features:<br>NOTIFY KQUEUE ACL GNUTLS LIBXML2 =
ZLIB TOOLKIT_SCROLL_BARS NS MODULES<br>THREADS JSON PDUMPER<br><br>Importan=
t settings:<br>=C2=A0 value of $LANG: en_US.UTF-8<br>=C2=A0 locale-coding-s=
ystem: utf-8-unix<br><br>Major mode: Fundamental<br><br>Minor modes in effe=
ct:<br>=C2=A0 global-undo-tree-mode: t<br>=C2=A0 undo-tree-mode: t<br>=C2=
=A0 global-auto-complete-mode: t<br>=C2=A0 show-paren-mode: t<br>=C2=A0 del=
ete-selection-mode: t<br>=C2=A0 tooltip-mode: t<br>=C2=A0 global-eldoc-mode=
: t<br>=C2=A0 electric-indent-mode: t<br>=C2=A0 mouse-wheel-mode: t<br>=C2=
=A0 menu-bar-mode: t<br>=C2=A0 file-name-shadow-mode: t<br>=C2=A0 global-fo=
nt-lock-mode: t<br>=C2=A0 font-lock-mode: t<br>=C2=A0 blink-cursor-mode: t<=
br>=C2=A0 auto-composition-mode: t<br>=C2=A0 auto-encryption-mode: t<br>=C2=
=A0 auto-compression-mode: t<br>=C2=A0 buffer-read-only: t<br>=C2=A0 column=
-number-mode: t<br>=C2=A0 line-number-mode: t<br>=C2=A0 transient-mark-mode=
: t<br><br>Load-path shadows:<br>/Users/dgreatwood/.emacs.d/lisp/linum hide=
s /Applications/Emacs.app/Contents/Resources/lisp/linum<br><br>Features:<br=
>(shadow sort mail-extr emacsbug message rmc puny dired dired-loaddefs<br>f=
ormat-spec rfc822 mml easymenu mml-sec password-cache epa derived epg<br>ep=
g-config gnus-util rmail rmail-loaddefs text-property-search seq<br>byte-op=
t bytecomp byte-compile cconv mm-decode mm-bodies mm-encode<br>mail-parse r=
fc2231 mailabbrev gmm-utils mailheader sendmail rfc2047<br>rfc2045 ietf-dru=
ms mm-util mail-prsvr mail-utils linum easy-mmode<br>time-date subr-x serve=
r persistent-todo special-scratch tango-theme<br>advice undo-tree diff auto=
-complete-config auto-complete popup<br>string-inflection paren desktop fra=
meset unbound cl-macs cl gv delsel<br>edmacro kmacro cl-loaddefs cl-lib too=
ltip eldoc electric uniquify<br>ediff-hook vc-hooks lisp-float-type mwheel =
term/ns-win ns-win<br>ucs-normalize mule-util term/common-win tool-bar dnd =
fontset image<br>regexp-opt fringe tabulated-list replace newcomment text-m=
ode elisp-mode<br>lisp-mode prog-mode register page tab-bar menu-bar rfn-es=
hadow isearch<br>timer select scroll-bar mouse jit-lock font-lock syntax fa=
cemenu<br>font-core term/tty-colors frame minibuffer cl-generic cham georgi=
an<br>utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean<br>j=
apanese eucjp-ms cp51932 hebrew greek romanian slovak czech european<br>eth=
iopic indian cyrillic chinese composite charscript charprop<br>case-table e=
pa-hook jka-cmpr-hook help simple abbrev obarray<br>cl-preloaded nadvice lo=
addefs button faces cus-face macroexp files<br>text-properties overlay sha1=
 md5 base64 format env code-pages mule<br>custom widget hashtable-print-rea=
dable backquote threads kqueue cocoa ns<br>multi-tty make-network-process e=
macs)<br><br>Memory information:<br>((conses 16 70462 8546)<br>=C2=A0(symbo=
ls 48 8556 1)<br>=C2=A0(strings 32 22334 1877)<br>=C2=A0(string-bytes 1 713=
421)<br>=C2=A0(vectors 16 12259)<br>=C2=A0(vector-slots 8 156248 17226)<br>=
=C2=A0(floats 8 39 36)<br>=C2=A0(intervals 56 248 0)<br>=C2=A0(buffers 1000=
 14))<br></div><div><br><div><br></div><div><br></div><div><br></div><div><=
br></div><div><br></div><div><br></div><div><br></div></div></div>

--000000000000df629005b7901058--




Acknowledgement sent to Duncan Greatwood <dgbulk@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#45518; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 2 Jan 2021 12:00:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.